<h1>Test version class</h1>
go to <a href="create-testdata.php">create-testdata.php</a>

<h2>calling some get functions</h2>

<?php
// echo 'GET: <pre>'.print_r($_GET, 1).'</pre><hr>';

require '../classes/valuestore.class.php';

$oVersion=new valuestore();

$sPackage='player';
$sPhase='stage'; 
$sPlace='deployed'; 
$sHost='stage01.player';


echo "<strong>getProjects()</strong> = ".print_r($oVersion->getProjects(), 1)."<br>\n";
echo '<hr>';

echo "<strong>setting a project</strong>:<br>";
$oVersion->setProject("", $sPackage, $sPhase, $sPlace, $sHost);
print_r($oVersion->whereiam());

echo "<hr><br><br><strong>getPhases()</strong> = <pre>".print_r($oVersion->getPhases(), 1)."</pre><br>\n";
echo "<hr><br><br><strong>getHosts()</strong> = <pre>".print_r($oVersion->getHosts(), 1)."</pre><br>\n";
echo '<hr>';

echo "setting project (without hostname ... but you can set the host to get the version of a specific host):<br>";
$oVersion->setProject("", $sPackage, $sPhase, $sPlace);
print_r($oVersion->whereiam());
echo "<br><strong>getVersion()</strong> = <pre>" . print_r($oVersion->getVersion(), 1) ."</pre>";

// echo '<hr><br><strong>Dump</strong><br>';
// print_r($oVersion->dumpdb());
// $oVersion->